//
// C++ Interface: 
//
// Description: 
//
//
// Author: Jean-Michel PETIT <k9copy@free.fr>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef K9MP4DLG_H
#define K9MP4DLG_H
#include "mp4dlg.h"
#include <tqimage.h>
#include <tqdatetime.h>

class k9DrawImage;

class k9MP4Dlg : public MP4Dlg
{
  Q_OBJECT
  

public:
  k9MP4Dlg(TQWidget* parent = 0, const char* name = 0);
  ~k9MP4Dlg();
  /*$PUBLIC_FUNCTIONS$*/
  void setfps(TQString _fps);
  void setsize(TQString _size);
  void setbitrate(TQString _bitrate);
  void setremain(TQString _remain);
  void setProgress(int _progress);
  void setTitleLabel(TQString _titleLabel);
  void Cancel();
  void setImage(TQString _fileName) ;

signals:
  /*$PUBLIC_SLOTS$*/
  void sigCancel();
private:
    k9DrawImage *m_wimage;
    TQTime m_timer;
protected:
  /*$PROTECTED_FUNCTIONS$*/
};

#endif

